Skip to main content
GET
/
v1
/
orgs
/
{org_id}
/
channels
List Channels
curl --request GET \
  --url https://api.letpiper.com/v1/orgs/{org_id}/channels/ \
  --header 'Authorization: Bearer <token>'
{
  "channels": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "channel_type": "slack",
      "status": "active",
      "entry_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "external_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "config": {}
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

Platform token (starts with pat_)

Path Parameters

org_id
string<uuid>
required

Query Parameters

limit
integer
default:100
Required range: 1 <= x <= 500
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

Schema for listing channels.

channels
ChannelResponse · object[]
required
total
integer
required